<?php

$should_alphabetize = get_option("goon_should_alphabetize_menu");

$checked = $should_alphabetize ? ' checked="checked"' : '';

?>

<div class="goon-wrap">

    <?php GOON_Admin_Helper::content_part__header("Settings", "settings"); ?>
    
    <div class="goon-content">
        <div id="settings_general" class="">
        
            <div class="row align-items-center">
                
                <div class="col-2">
                    <span>Alphabetize the menu</span>
                </div>
                
                <div class="col-3">
                    <label>
                        <span class="switch">
                            <input id="should_alphabetize_menu" type="checkbox"<?php echo $checked ?>/>
                            <span class="slider round"></span>
                        </span>
                    </label>
                </div>
                
            </div>
            
            <div class="row align-items-center">
            
                <div class="col-2">
                    <span>Recreate the menu</span>
                </div>
                
                <div class="col-3">
                    <a href="<?php echo esc_url( admin_url( 'admin.php?page=goon_settings&goon_original_menu=get&redirect_to=' . urlencode( goon_mu_plugin()->current_full_url ) ) ) ?>">
                        <button class="goon_green_button">Go!</button>
                    </a>
                </div>
                
            </div>
            
            <div class="row align-items-center">
            
                <div class="col-2">
                    <span>Import Filters</span>
                </div>
                
                <div id="import_goon_filters_wrapper" class="col-10">
                    <textarea id="import_goon_filters" placeholder="CLICK TO PASTE"></textarea>
                    <button id="import_goon_start" class="goon_green_button">Import</button>
                    <div id="import_goon_message"></div>
                </div>
                
            </div>
            
        </div>
    </div>
    
</div>
